Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezfilemanager/user/filelist.php File Reference

Go to the source code of this file.

## Functions
| syncDir ( $root, $category)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $wwwDir = $ini->WWWDir
| $indexFile = $ini->Index
| $Language = $ini->variable( "eZFileManagerMain", "Language" )
| $ImageDir = $ini->variable( "eZFileManagerMain", "ImageDir" )
| $FileCat = $ini->variable( "eZFileManagerMain", "FileCat" )
| $SyncDir = $ini->variable( "eZFileManagerMain", "SyncDir" )
| $SectionID = $ini->variable( "eZFileManagerMain", "DefaultSection" )
| $Limit = $ini->variable( "eZFileManagerMain", "Limit" )
| $ShowUpFolder = $ini->variable( "eZFileManagerMain", "ShowUpFolder" ) == "enabled"
| $t
| $user =& eZUser::currentUser()
if(isSet( $FileUpload)) | $folder = new eZVirtualFolder( $FolderID )
else | $GlobalSectionID = eZVirtualFolder::sectionIDstatic ( $FolderID )
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $error = true
if( $folder->id() !=0) | else
| $pathArray =& $folder->path()
| $lastPath = array()
| $folderList =& $folder->getByParent( $folder )
| $i = ( $folder->id() && $ShowUpFolder ) ? 1 : 0
| $deleteFolders = false
| $fileList =& $folder->files( "name", $Offset, $Limit )
| $deleteFiles = false
foreach( $fileList as $file) | $fileNumber = $folder->countFiles()

## Function Documentation

## ◆ syncDir()

syncDir | ( |  | $root,
|  |  | $category
| ) |  |

Definition at line 380 of file ezfilemanager/user/filelist.php.

References $category, $dir, $file, $files, $folder, $group, $user, eZPBFile\dir(), eZObjectPermission\removePermissions(), and eZObjectPermission\setPermission().

## Variable Documentation

## ◆ $deleteFiles

$deleteFiles = false

Definition at line 242 of file ezfilemanager/user/filelist.php.

## ◆ $deleteFolders

$deleteFolders = false

Definition at line 186 of file ezfilemanager/user/filelist.php.

## ◆ $error

$error = true

Definition at line 115 of file ezfilemanager/user/filelist.php.

## ◆ $FileCat

$FileCat = $ini->variable( "eZFileManagerMain", "FileCat" )

Definition at line 44 of file ezfilemanager/user/filelist.php.

## ◆ $fileList

$fileList =& $folder->files( "name", $Offset, $Limit )

Definition at line 229 of file ezfilemanager/user/filelist.php.

## ◆ $fileNumber

foreach ($fileList as $file) $fileNumber = $folder->countFiles()

Definition at line 314 of file ezfilemanager/user/filelist.php.

## ◆ $folder

if (isSet($FileUpload)) $folder = new eZVirtualFolder( $FolderID )

Definition at line 105 of file ezfilemanager/user/filelist.php.

Referenced by syncDir().

## ◆ $folderList

$folderList =& $folder->getByParent( $folder )

Definition at line 183 of file ezfilemanager/user/filelist.php.

## ◆ $GlobalSectionID

else $GlobalSectionID = eZVirtualFolder::sectionIDstatic ( $FolderID )

Definition at line 110 of file ezfilemanager/user/filelist.php.

## ◆ $i

$i = ( $folder->id() && $ShowUpFolder ) ? 1 : 0

Definition at line 185 of file ezfilemanager/user/filelist.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZFileManagerMain", "ImageDir" )

Definition at line 43 of file ezfilemanager/user/filelist.php.

## ◆ $indexFile

$indexFile = $ini->Index

Definition at line 40 of file ezfilemanager/user/filelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 38 of file ezfilemanager/user/filelist.php.

## ◆ $Language

$Language = $ini->variable( "eZFileManagerMain", "Language" )

Definition at line 42 of file ezfilemanager/user/filelist.php.

## ◆ $lastPath

$lastPath = array()

Definition at line 163 of file ezfilemanager/user/filelist.php.

## ◆ $Limit

$Limit = $ini->variable( "eZFileManagerMain", "Limit" )

Definition at line 47 of file ezfilemanager/user/filelist.php.

## ◆ $pathArray

$pathArray =& $folder->path()

Definition at line 160 of file ezfilemanager/user/filelist.php.

## ◆ $SectionID

$SectionID = $ini->variable( "eZFileManagerMain", "DefaultSection" )

Definition at line 46 of file ezfilemanager/user/filelist.php.

Referenced by syncDir().

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 112 of file ezfilemanager/user/filelist.php.

## ◆ $ShowUpFolder

$ShowUpFolder = $ini->variable( "eZFileManagerMain", "ShowUpFolder" ) == "enabled"

Definition at line 48 of file ezfilemanager/user/filelist.php.

## ◆ $SyncDir

$SyncDir = $ini->variable( "eZFileManagerMain", "SyncDir" )

Definition at line 45 of file ezfilemanager/user/filelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezfilemanager/user/" . $ini->variable( "eZFileManagerMain", "TemplateDir" ),
"kernel/ezfilemanager/user/intl/", $Language, "filelist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezfilemanager/user/filelist.php:42
$ini
$ini
Definition: ezfilemanager/user/filelist.php:38

Definition at line 50 of file ezfilemanager/user/filelist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 94 of file ezfilemanager/user/filelist.php.

Referenced by syncDir().

## ◆ $wwwDir

$wwwDir = $ini->WWWDir

Definition at line 39 of file ezfilemanager/user/filelist.php.

## ◆ else

if ($error==false) else

Initial value:
{
$t->set_var( "parent_folder", "" )
$t
$t
Definition: ezfilemanager/user/filelist.php:50

Definition at line 154 of file ezfilemanager/user/filelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.